Replay specific outbound messages by ID
const url = 'https://api.hookbridge.io/v1/messages/replay-batch';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"message_ids":["01935abc-def0-7123-4567-890abcdef012","01935abc-def0-7123-4567-890abcdef013"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hookbridge.io/v1/messages/replay-batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "message_ids": [ "01935abc-def0-7123-4567-890abcdef012", "01935abc-def0-7123-4567-890abcdef013" ] }'Replay specific outbound messages by providing their IDs. Messages are re-enqueued for delivery to their configured endpoints.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
List of message IDs to replay
Example
{ "message_ids": [ "01935abc-def0-7123-4567-890abcdef012", "01935abc-def0-7123-4567-890abcdef013" ]}Responses
Section titled “Responses”Messages replayed successfully
object
object
Number of messages successfully re-enqueued
Number of messages that failed to process
Number of messages updated in DB but failed to enqueue
Per-message replay results
object
The message ID
Result status for this message
Error message if the replay failed (only present for failed/stuck)
object
Unique identifier for this request (useful for support)
Example
{ "message": "2 messages replayed", "data": { "replayed": 2, "failed": 0, "stuck": 0, "results": [ { "message_id": "01935abc-def0-7123-4567-890abcdef012", "status": "replayed" }, { "message_id": "01935abc-def0-7123-4567-890abcdef013", "status": "replayed" } ] }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.